# Uses of Record Class
org.apache.lucene.util.bkd.BKDConfig

Packages that use BKDConfig
Package
Description
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

## Uses of BKDConfig in org.apache.lucene.util.bkd

Fields in org.apache.lucene.util.bkd declared as BKDConfig
Modifier and Type
Field
Description
`protected final BKDConfig`
BKDWriter.`config`
BKD tree configuration
Methods in org.apache.lucene.util.bkd with parameters of type BKDConfig
Modifier and Type
Method
Description
`static void`
MutablePointTreeReaderUtils.`partition(BKDConfig config, int maxDoc, int splitDim, int commonPrefixLen, MutablePointTree reader, int from, int to, int mid, BytesRef scratch1, BytesRef scratch2)`
Partition points around `mid`.
`static void`
MutablePointTreeReaderUtils.`sort(BKDConfig config, int maxDoc, MutablePointTree reader, int from, int to)`
Sort the given `MutablePointTree` based on its packed value then doc ID.
`static void`
MutablePointTreeReaderUtils.`sortByDim(BKDConfig config, int sortedDim, int[] commonPrefixLengths, MutablePointTree reader, int from, int to, BytesRef scratch1, BytesRef scratch2)`
Sort points on the given dimension.
Constructors in org.apache.lucene.util.bkd with parameters of type BKDConfig
Modifier
Constructor
Description
``
`BKDRadixSelector(BKDConfig config, int maxPointsSortInHeap, Directory tempDir, String tempFileNamePrefix)`
Sole constructor.
``
`BKDWriter(int maxDoc, Directory tempDir, String tempFileNamePrefix, BKDConfig config, double maxMBSortInHeap, long totalPointCount)`
``
`HeapPointWriter(BKDConfig config, int size)`
``
`OfflinePointReader(BKDConfig config, Directory tempDir, String tempFileName, long start, long length, byte[] reusableBuffer)`
``
`OfflinePointWriter(BKDConfig config, Directory tempDir, String tempFileNamePrefix, String desc, long expectedCount)`
Create a new writer with an unknown number of incoming points